'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'less:bundle',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {

    if (!settings.bundle.length) {
        return gulp.src(settings.src)
           .pipe($.size({title: 'styles:bundle'}));
    }

    settings.bundle.push(settings.path.css+'/'+settings.name+'.css');

    return gulp.src(settings.bundle)
        .pipe($.concat(settings.name+'.bundle.css'))
        .pipe($.minifyCss({
            keepSpecialComments: 0,
            keepBreaks: false,
            processImport: true
        }))
        .pipe($.rename(settings.name+'.bundle.css'))
        .pipe(gulp.dest(settings.path.css))
        .pipe($.size({title: 'styles:bundle'}));
}
