'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var argv = require('yargs').argv;
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'release:bump',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {

    return gulp.src(settings.src)
        .pipe($.bump({version: argv.v}))
        .pipe(gulp.dest('./'))
        .pipe($.git.add())
        .pipe($.git.commit('[CHANGE] - Bump version'))
        .pipe($.size({title: 'release:bump'}));
}
