'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var AUTOPREFIXER_BROWSERS = [
  'ie >= 10',
  'ie_mob >= 10',
  'ff >= 30',
  'chrome >= 34',
  'safari >= 7',
  'opera >= 23',
  'ios >= 7',
  'android >= 4.4',
  'bb >= 10'
];

var config = {
    name: 'sass:compile',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    return gulp.src(settings.compile)
        .pipe($.sass())
        .on('error', console.error.bind(console))
        .pipe($.autoprefixer({browsers: AUTOPREFIXER_BROWSERS}))
        .pipe($.rename(settings.name+'.css'))
        .pipe(gulp.dest(settings.path.css))
        .pipe($.minifyCss({
            keepSpecialComments: 0,
            keepBreaks: false,
            processImport: true
        }))
        .pipe($.rename(settings.name+'.min.css'))
        .pipe(gulp.dest(settings.path.css))
        .pipe($.size({title: 'styles:compile'}));
}
