'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:bundle',
    config: 'build',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {

    if (!settings.bundle.length) {
        return gulp.src('./')
           .pipe($.size({title: 'scripts:bundle'}));
    }

    settings.bundle.push(settings.path.build + '/' + settings.name + '.js');

    return gulp.src(settings.bundle)
        .pipe($.concat(settings.name + '.bundle.js'))
        .pipe($.uglify({preserveComments:'some'}))
        .pipe(gulp.dest(settings.path.build))
        .pipe($.size({title: 'scripts:bundle'}));
}
