'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:test-build',
    config: 'test',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    var testFiles = settings.tests.shared;
    testFiles = testFiles.concat(settings.tests.libs);
    testFiles = testFiles.concat(settings.tests.spec);
    testFiles = testFiles.concat(settings.path.build + '/' + settings.name+'.min.js');

    return gulp.src(testFiles)
        .pipe($.karma({
            configFile: './test/build.karma.conf.js',
            action: 'run'
        }))
        .pipe($.size({title: 'scripts:test-build'}));
}
