'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:build',
    config: 'build',
    callback: callback
};

module.exports = config;

/////////////////////////////

// Optimize code
function callback(settings, done) {

    return gulp.src([
            settings.path.tmp + '/**/*.module.js',
            settings.path.tmp + '/**/*.js'
        ])
        .pipe($.concat(settings.name+'.js'))
        .pipe(gulp.dest(settings.path.build))
        .pipe($.uglify({preserveComments:'some'}).on('error', console.error))
        .pipe($.rename({
            suffix: '.min'
        }))
        .pipe(gulp.dest(settings.path.build))
        .pipe($.size({title: 'scripts:uglify'}));
}
